Skip to main content
POST
/
api
/
tasks
/
{task_id}
/
attachments
Upload Task Attachments
curl --request POST \
  --url https://api.example.com/api/tasks/{task_id}/attachments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'files=<string>'
[
  {
    "created_at": "2023-11-07T05:31:56Z",
    "filename": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "size_bytes": 123,
    "task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "mime_type": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.codecobra.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

task_id
string<uuid>
required

Body

multipart/form-data
files
string[]
required

Response

Successful Response

created_at
string<date-time>
required
filename
string
required
id
string<uuid>
required
size_bytes
integer
required
task_id
string<uuid>
required
mime_type
string | null